/** 繼承樣式 - card */
%common-board {
  .card-header {
    background-color: $white;
  }
  .card-header,
  .card-body {
    padding: 0;
  }
}

/** 繼承樣式 - operation-board */
%common-operation-board {
  margin-bottom: 32px;
  h3 {
    margin-bottom: 24px;
  }
  .card-body {
    .form-check-list div:nth-child(n + 2) {
      margin-left: 24px;
    }
  }
}

/** 登入頁 board 主體 */
.board-card {
  @include card-rounded-border(0, 40px, transparent);
  @extend %common-board;

  width: 504px;
  height: 610px;
  padding-top: 56px;
  .card-header {
    & .main-title {
      color: $main;
    }
    & .main-description {
      color: $gray-800;
    }
  }
}

/** 單一條件操作區塊 board 主體 */
.single-operation-board {
  @include card-rounded-border(24px, 24px, $gray-200);
  @extend %common-board;
  @extend %common-operation-board;
  .card-body {
    .input-item {
      margin-bottom: 24px;
    }
    .form-check-group p {
      margin-bottom: 12px;
    }
  }
}

/** 雙條件操作區塊 board 主體 */
.dual-operation-board {
  @include card-rounded-border(24px, 24px, $gray-200);
  @extend %common-board;
  @extend %common-operation-board;
  padding-bottom: 0;
  .card-header {
    padding-bottom: 24px;
    .input-item {
      margin-bottom: 24px;
    }
  }
  .card-body {
    padding-top: 24px;
    .sub-title {
      margin-bottom: 36px;
    }
    .sub-title h3 {
      margin: 0 24px 0 0;
    }
    .input-item,
    button {
      margin-bottom: 24px;
    }
  }
}

.card-body {
  .row div:last-child.col-12 .input-item {
    margin-bottom: 0;
  }
}
